summaryrefslogtreecommitdiffstats
path: root/regressions
diff options
context:
space:
mode:
authorRichard Jones <rjones@trick.home.annexia.org>2009-07-06 16:01:51 +0100
committerRichard Jones <rjones@trick.home.annexia.org>2009-07-06 16:01:51 +0100
commitb5e29ac706004ad29da2e0949beda41e8e27e398 (patch)
tree4e55700f1a8062c39c1ee9187587e1d310af3f72 /regressions
parent82c7e685bf71c70bd1c1c0b9db002157e5788db4 (diff)
downloadlibguestfs-b5e29ac706004ad29da2e0949beda41e8e27e398.tar.gz
libguestfs-b5e29ac706004ad29da2e0949beda41e8e27e398.tar.xz
libguestfs-b5e29ac706004ad29da2e0949beda41e8e27e398.zip
Test two (of four) cancellation paths.
Diffstat (limited to 'regressions')
-rw-r--r--regressions/Makefile.am2
-rwxr-xr-xregressions/test-cancellation-download-librarycancels.sh40
-rwxr-xr-xregressions/test-cancellation-upload-daemoncancels.sh43
3 files changed, 85 insertions, 0 deletions
diff --git a/regressions/Makefile.am b/regressions/Makefile.am
index 874e898e..2e1cb415 100644
--- a/regressions/Makefile.am
+++ b/regressions/Makefile.am
@@ -24,6 +24,8 @@
TESTS = \
rhbz503169c10.sh \
rhbz503169c13.sh \
+ test-cancellation-upload-daemoncancels.sh \
+ test-cancellation-download-librarycancels.sh \
test-qemudie-midcommand.sh \
test-qemudie-killsub.sh \
test-qemudie-synch.sh
diff --git a/regressions/test-cancellation-download-librarycancels.sh b/regressions/test-cancellation-download-librarycancels.sh
new file mode 100755
index 00000000..2cacdd35
--- /dev/null
+++ b/regressions/test-cancellation-download-librarycancels.sh
@@ -0,0 +1,40 @@
+#!/bin/sh -
+# libguestfs
+# Copyright (C) 2009 Red Hat Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+
+# Test download where the library cancels.
+#
+#
+
+set -e
+
+rm -f test.img
+
+../fish/guestfish <<'EOF'
+add ../images/test.sqsh
+run
+
+mount /dev/sda /
+
+# Download a file to /dev/full.
+echo "Expect: write: /dev/full: No space left on device"
+-download /100krandom /dev/full
+
+ping-daemon
+EOF
+
+rm -f test.img
diff --git a/regressions/test-cancellation-upload-daemoncancels.sh b/regressions/test-cancellation-upload-daemoncancels.sh
new file mode 100755
index 00000000..c56b1c22
--- /dev/null
+++ b/regressions/test-cancellation-upload-daemoncancels.sh
@@ -0,0 +1,43 @@
+#!/bin/sh -
+# libguestfs
+# Copyright (C) 2009 Red Hat Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+
+# Test upload where the daemon cancels.
+#
+# This is pretty easy - we just upload a too-large source file.
+
+set -e
+
+rm -f test.img
+
+../fish/guestfish <<'EOF'
+alloc test.img 10M
+run
+
+sfdiskM /dev/sda ,
+mkfs ext2 /dev/sda1
+mount /dev/sda1 /
+
+# Upload image, daemon should cancel because the image is too large
+# to upload into itself.
+echo "Expect: write: /test: No space left on device"
+-upload test.img /test
+
+ping-daemon
+EOF
+
+rm -f test.img